CANSEQUENCE(1)

NAME
cansequence - manual page for cansequence 2023.03-1build1

SYNOPSIS
cansequence [<can-interface>] [Options]

DESCRIPTION
./cansequence: invalid option -- '?'

cansequence sends CAN messages with a rising sequence number as payload. When the -r option is given, cansequence expects to receive these messages and prints an error message if a wrong sequence number is encountered. The main purpose of this program is to test the reliability of CAN links.

OPTIONS

-e, --extended
    send extended frame

-i, --identifier=ID
    CAN Identifier (default = 2)

--loop=COUNT
    send message COUNT times

-p, --poll
    use poll(2) to wait for buffer space while sending

-q, --quit <num>
    quit if <num> wrong sequences are encountered

-r, --receive
    work as receiver

-v, --verbose
    be verbose (twice to be even more verbose

-h, --help
    this help

--version
    print version information and exit